| invn.algo.orientation-bundle.asf - InvnAlgoASFLib documentation 1.1.1 Documentation on Algo ASF Library.

- Main Page
- Modules
- Data Structures

- Data Structures
- Data Fields

Data Fields
InvnAlgoASFConfig Struct Reference
AdvancedSensorFusion

AdvancedSensorFusion configuration structure (sensor related settings) More...

`#include <invn_algo_asf.h>`

## Data Fields
int32_t * | acc_bias_q16
| Previously stored accel bias pointer. More...
int32_t * | gyr_bias_q16
| Previously stored gyro bias pointer. More...
int32_t * | mag_bias_q16
| Previously stored mag bias pointer. More...
int8_t | acc_accuracy
| Previously stored accelerometer bias accuracy (0 to 3)
int8_t | gyr_accuracy
| Previously stored gyroscope bias accuracy (0 to 3)
int8_t | mag_accuracy
| Previously stored magnetometer bias accuracy (0 to 3)
int32_t | acc_fsr
| accelerometer full scale range [g]
int32_t | gyr_fsr
| gyroscope full scale range [dps]
uint32_t | acc_odr_us
| accelerometer output data rate in \( [\mu s]\)
uint32_t | gyr_odr_us
| gyroscope output data rate \( [\mu s]\)
int32_t | mag_sc_q16
| magnetometer sensitivity (uT/LSB, e.g. More...
uint32_t | mag_odr_us
| magnetometer output data rate \( [\mu s]\)
int32_t | temp_sensitivity
| temperature sensitivity in q30 (if temperature( \( ^{\circ}C \)) = LSB * k + z, then temp_sensitivity = k)
int32_t | temp_offset
| temperature offset in q16 (if temperature( \( ^{\circ}C \)) = LSB * k + z, then temp_offset = z)
InvnAlgoASF_ModeId_t | mode_id
| Mode id. More...
int32_t | predictive_time_us
| the delta time in us between last gyro update instant t and the wanted quaternion prediction - Range should be [250 - 40000 us]
int32_t | gyr_cal_stationary_duration_us
| Duration for no motion gyro bias calibration.
int32_t | gyr_cal_threshold_metric1
| Stationary detection threshold of 1st metric.
int32_t | gyr_cal_threshold_metric2
| Stationary detection threshold of 1st metric.
int32_t | fus_high_speed_drift
| percentage of error on gyr integration (1% = 32767). More...
int32_t | fus_low_speed_drift_roll_pitch
| gyr integration error related to bias precision. More...
int32_t | fus_low_speed_drift_yaw
| gyr integration error related to bias precision. More...
int32_t | fus_measurement_covariance_acc
| accel measurement covariance in q15 (1G^2 = 32767)
int32_t | fus_measurement_covariance_mag
| magnetometer measurement covariance in q15 (1uT^2 = 32767)
int32_t | fus_mag_anomaly_rejection
| magnetic anomaly rejection (Max rejection is 100% = 1073741824L, No rejection is 0% = 0L). More...
int32_t | fus_acceleration_rejection
| linear acceleration rejection (Max rejection is 100% = 1073741824L, No rejection is 0% = 0L). More...

## Detailed Description

AdvancedSensorFusion configuration structure (sensor related settings)

## Field Documentation

int32_t* InvnAlgoASFConfig::acc_bias_q16

Previously stored accel bias pointer.

If pointer is NULL or 0, offset will be set to { 0, 0, 0}

int32_t InvnAlgoASFConfig::fus_acceleration_rejection

linear acceleration rejection (Max rejection is 100% = 1073741824L, No rejection is 0% = 0L).

int32_t InvnAlgoASFConfig::fus_high_speed_drift

percentage of error on gyr integration (1% = 32767).

This error covers gyro sensitivity, timestamp, and quantization

int32_t InvnAlgoASFConfig::fus_low_speed_drift_roll_pitch

gyr integration error related to bias precision.

Higher value increase accel roll/pitch correction in steady state

int32_t InvnAlgoASFConfig::fus_low_speed_drift_yaw

gyr integration error related to bias precision.

Higher value increase compass yaw correction in steady state

int32_t InvnAlgoASFConfig::fus_mag_anomaly_rejection

magnetic anomaly rejection (Max rejection is 100% = 1073741824L, No rejection is 0% = 0L).

int32_t* InvnAlgoASFConfig::gyr_bias_q16

Previously stored gyro bias pointer.

If pointer is NULL or 0, offset will be set to { 0, 0, 0}

int32_t* InvnAlgoASFConfig::mag_bias_q16

Previously stored mag bias pointer.

If pointer is NULL or 0, offset will be set to { 0, 0, 0}

int32_t InvnAlgoASFConfig::mag_sc_q16

magnetometer sensitivity (uT/LSB, e.g.

mag_uT = (mag_sc_q16 * raw_mag_LSB)/65536)

InvnAlgoASF_ModeId_t InvnAlgoASFConfig::mode_id

Mode id.

See InvnAlgoASF_ModeId_t

The documentation for this struct was generated from the following file:

- invn_algo_asf.h